// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/addFriend/basalRate": {
            "get": {
                "description": "基础速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-基础速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.BasalRateResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/eggEnergyDetails": {
            "post": {
                "description": "蛋蛋能量明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋能量明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/eggPointDetails": {
            "post": {
                "description": "蛋蛋积分明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋积分明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFans": {
            "get": {
                "description": "团队加速速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-团队加速速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFansUserList": {
            "get": {
                "description": "在线好友列表(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-在线好友列表(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansUserListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/nineDimensionalSpace": {
            "get": {
                "description": "九维空间(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-九维空间(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NineDimensionalSpaceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/totalRate": {
            "get": {
                "description": "总速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-总速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TotalRateResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/comm/getOssUrl": {
            "get": {
                "description": "上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "通用请求-对象存储-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/fastLogin": {
            "post": {
                "description": "一键登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "一键登录"
                ],
                "summary": "一键登录",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.FastLoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/findPassword": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.FindPasswordReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/adRule": {
            "get": {
                "description": "视频奖励规则(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-视频奖励规则(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageWatchAdRuleResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/index": {
            "get": {
                "description": "基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanGetRedPackage": {
            "get": {
                "description": "是否可以领取红包(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否领取红包(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanGetRedPackageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanSignIn": {
            "get": {
                "description": "是否可以签到(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否能签到(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanSignInResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/realTimePrice": {
            "get": {
                "description": "实时数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-实时数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealTimePriceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/getBasic": {
            "get": {
                "description": "基础数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "蛋蛋星球-会员中心-基础数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MemberCenterGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/contributionValue": {
            "get": {
                "description": "贡献值(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-贡献值(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetContributionValueResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/contributionValueFlow": {
            "get": {
                "description": "贡献值明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-贡献值明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetContributionValueFlowResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/exchangeEnergy": {
            "post": {
                "description": "能量兑换",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-能量兑换",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要兑换的能量值",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ExchangeEnergyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/getBasic": {
            "get": {
                "description": "基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PointsCenterGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/priceCurve": {
            "get": {
                "description": "价格趋势(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-价格趋势(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "1:按天 2：按小时 3：按周",
                        "name": "kind",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPriceCurveResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/register": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RegisterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/smsSend": {
            "post": {
                "description": "发送短信",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "发送短信"
                ],
                "summary": "发送短信",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SmsSendReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/test": {
            "get": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "任意参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回任意参数",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userInfo": {
            "get": {
                "description": "用户信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户信息"
                ],
                "summary": "用户信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserInfoResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wechatLogin": {
            "post": {
                "description": "微信登陆",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "微信登陆"
                ],
                "summary": "微信登陆",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.WechatLoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "applet_app_md.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "md.BasalRateResp": {
            "type": "object",
            "properties": {
                "basal_rate": {
                    "description": "基础速率",
                    "type": "string"
                },
                "consumed_egg_energy": {
                    "description": "收益蛋蛋能量",
                    "type": "string"
                },
                "consumed_egg_point": {
                    "description": "消耗蛋蛋积分",
                    "type": "string"
                },
                "consumed_time": {
                    "description": "消耗时间/小时",
                    "type": "string"
                },
                "estimated_revenue": {
                    "description": "预估收益蛋蛋能量",
                    "type": "string"
                },
                "remaining_egg_energy": {
                    "description": "剩余蛋蛋能量",
                    "type": "string"
                },
                "remaining_time": {
                    "description": "剩余时间/小时",
                    "type": "string"
                },
                "sign_countdown": {
                    "description": "收益倒计时",
                    "type": "string"
                }
            }
        },
        "md.ContributionValueFlowNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "create_at": {
                    "description": "完成时间",
                    "type": "string"
                },
                "direction": {
                    "description": "方向： 1.收入 2.支出",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyDetailReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋能量 2.团队蛋蛋能量",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyDetailResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_energy": {
                    "description": "个人蛋蛋能量",
                    "type": "string"
                },
                "team_egg_energy": {
                    "description": "团队蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy_price": {
                    "description": "蛋蛋能量总价",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.EggPointDetailsReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋积分 2.团队蛋蛋积分",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggPointDetailsResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_points": {
                    "description": "个人蛋蛋积分",
                    "type": "string"
                },
                "team_egg_points": {
                    "description": "团队蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points": {
                    "description": "总蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points_amount": {
                    "description": "蛋蛋积分余额",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.ExchangeEnergyReq": {
            "type": "object",
            "properties": {
                "energy_amount": {
                    "description": "兑换能量数值",
                    "type": "string"
                }
            }
        },
        "md.FastLoginReq": {
            "type": "object",
            "properties": {
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "token": {
                    "type": "string",
                    "example": "一键登录的token"
                }
            }
        },
        "md.FindPasswordReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "mobile": {
                    "type": "string"
                },
                "password": {
                    "type": "string",
                    "example": "密码 如 123"
                }
            }
        },
        "md.GetContributionValueFlowResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ContributionValueFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetContributionValueResp": {
            "type": "object",
            "properties": {
                "contribution_value": {
                    "description": "贡献值",
                    "type": "string"
                },
                "ratio": {
                    "description": "兑换比率(x 分兑换 1 人民币)",
                    "type": "string"
                }
            }
        },
        "md.GetPriceCurveResp": {
            "type": "object",
            "properties": {
                "x_data": {
                    "type": "array",
                    "items": {}
                },
                "y_data": {
                    "type": "array",
                    "items": {}
                }
            }
        },
        "md.HomePageResp": {
            "type": "object",
            "properties": {
                "egg_energy_now_price": {
                    "description": "蛋蛋能量当前价格",
                    "type": "string"
                },
                "initial_price": {
                    "description": "蛋蛋能量初始价格",
                    "type": "string"
                },
                "is_rises": {
                    "description": "是否涨价",
                    "type": "boolean"
                },
                "is_sign": {
                    "description": "是否开始签到",
                    "type": "boolean"
                },
                "nick_name": {
                    "description": "用户名称",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "rises": {
                    "description": "涨/跌价百分比",
                    "type": "string"
                },
                "sign_end_time": {
                    "description": "签到截止时间",
                    "type": "string"
                },
                "total_active_points": {
                    "description": "总蛋蛋积分",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "user_count": {
                    "description": "当前用户数量",
                    "type": "integer"
                }
            }
        },
        "md.HomePageWatchAdRuleResp": {
            "type": "object",
            "properties": {
                "each_round_hour": {
                    "description": "每一轮X个小时",
                    "type": "string"
                },
                "interval_minutes": {
                    "description": "间隔X秒",
                    "type": "string"
                },
                "reward_total_num": {
                    "description": "一共X个奖励视屏",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励X个活跃积分",
                    "type": "string"
                }
            }
        },
        "md.IntegralList": {
            "type": "object",
            "properties": {
                "expend_list": {
                    "description": "支出类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                },
                "income_list": {
                    "description": "收入类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                }
            }
        },
        "md.IsCanGetRedPackageResp": {
            "type": "object",
            "properties": {
                "is_can_get_red_package": {
                    "type": "boolean"
                }
            }
        },
        "md.IsCanSignInResp": {
            "type": "object",
            "properties": {
                "is_can_sign_in": {
                    "type": "boolean"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "phone"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.MemberCenterGetBasicResp": {
            "type": "object",
            "properties": {
                "active_num": {
                    "description": "活跃值",
                    "type": "string"
                },
                "amount": {
                    "description": "账户余额",
                    "type": "string"
                },
                "contribution_value": {
                    "description": "贡献值",
                    "type": "string"
                },
                "date": {
                    "description": "兑换时间(每月x日)",
                    "type": "string"
                },
                "egg_energy": {
                    "description": "能量值",
                    "type": "string"
                },
                "egg_energy_value": {
                    "description": "能量预估价值",
                    "type": "string"
                },
                "egg_score": {
                    "description": "蛋蛋分",
                    "type": "string"
                },
                "level_name": {
                    "description": "会员等级名称",
                    "type": "string"
                },
                "nickname": {
                    "description": "会员名称",
                    "type": "string"
                },
                "ratio": {
                    "description": "兑换比例(x:y)",
                    "type": "string"
                }
            }
        },
        "md.MyFansResp": {
            "type": "object",
            "properties": {
                "now_team_assistance_num": {
                    "description": "团队助力人数",
                    "type": "integer"
                },
                "now_team_assistance_reward": {
                    "description": "团队助力收益",
                    "type": "string"
                },
                "now_team_user": {
                    "description": "团队人数",
                    "type": "integer"
                }
            }
        },
        "md.MyFansUserListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.OneLineUserNode"
                    }
                }
            }
        },
        "md.NineDimensionalSpaceResp": {
            "type": "object",
            "properties": {
                "a_lot_of_nums": {
                    "description": "全网至多用户数",
                    "type": "string"
                },
                "day_num": {
                    "description": "连续x天不活跃",
                    "type": "string"
                },
                "rows": {
                    "description": "行数",
                    "type": "string"
                },
                "space_list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SpaceListNode"
                    }
                },
                "space_nums": {
                    "description": "空间人数",
                    "type": "string"
                },
                "space_total_nums": {
                    "description": "空间总数",
                    "type": "string"
                },
                "times": {
                    "description": "排数",
                    "type": "string"
                }
            }
        },
        "md.OneLineUserNode": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string"
                },
                "invite_time": {
                    "type": "string"
                },
                "is_online": {
                    "type": "boolean"
                },
                "nickname": {
                    "type": "string"
                }
            }
        },
        "md.PointsCenterGetBasicResp": {
            "type": "object",
            "properties": {
                "available_cash": {
                    "description": "可用现金",
                    "type": "string"
                },
                "available_energy": {
                    "description": "可用能量",
                    "type": "string"
                }
            }
        },
        "md.RealTimePriceResp": {
            "type": "object",
            "properties": {
                "is_rises": {
                    "type": "boolean"
                },
                "now_price": {
                    "type": "string"
                },
                "rises": {
                    "type": "string"
                },
                "user_count": {
                    "type": "string"
                }
            }
        },
        "md.RegisterReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "mobile": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "password": {
                    "type": "string",
                    "example": "密码 如 123"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "integer"
                },
                "type": {
                    "type": "string",
                    "example": "app:APP注册、h5:H5注册"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.SmsSendReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "captcha_output": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "gen_time": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "lot_number": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "mobile": {
                    "type": "string"
                },
                "pass_token": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "type": {
                    "type": "string",
                    "example": "h5Register:h5注册页、wechatBindPhone:微信绑定手机、login:登陆、findPwd:找回密码、changePwd:修改密码"
                }
            }
        },
        "md.SpaceListNode": {
            "type": "object",
            "properties": {
                "max_count": {
                    "description": "最大容纳人数",
                    "type": "string"
                },
                "name": {
                    "description": "维度",
                    "type": "string"
                },
                "now_count": {
                    "description": "当前人数",
                    "type": "string"
                }
            }
        },
        "md.TotalRateResp": {
            "type": "object",
            "properties": {
                "consumed_personal_egg_point": {
                    "description": "消耗个人蛋蛋积分",
                    "type": "string"
                },
                "consumed_team_egg_point": {
                    "description": "消耗团队蛋蛋积分",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "now_total_rate": {
                    "description": "总速率/小时",
                    "type": "string"
                }
            }
        },
        "md.TransferTypeList": {
            "type": "object",
            "properties": {
                "TeamTransferTypeList": {
                    "description": "团队积分变动列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                },
                "personal_transfer_type_list": {
                    "description": "个人积分变动列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                }
            }
        },
        "md.TransferTypeNode": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "md.UserInfoResp": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "invite_code": {
                    "type": "string"
                },
                "is_bind_extend": {
                    "type": "string",
                    "example": "是否绑定了上级 0否 1是"
                },
                "nickname": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "md.WechatLoginReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "ddxq.izhim.com",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "蛋蛋星球-APP客户端",
	Description:      "APP客户端-Api接口",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
